Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class TypeFound

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.taskdefs.condition.TypeFound

All Implemented Interfaces:
  java.lang.Cloneable, Condition

    public class TypeFound

extends ProjectComponent
implements Condition

looks for a task or other Ant type that exists. Existence is defined as the type is defined, and its implementation class is present. This will work for datatypes and preset, script and macro definitions.

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`TypeFound()`

Method Summary
`protected boolean` | `doesTypeExist(java.lang.String typename)` test for a task or other ant type existing in the current project
`boolean` | `eval()` Is this condition true?
`void` | `setName(java.lang.String name)` the task or other type to look for
`void` | `setURI(java.lang.String uri)` The URI for this definition.

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeFound

    public TypeFound()

Method Detail

### setName

    public void setName(java.lang.String name)

  the task or other type to look for

  Parameters:
    `name` - the name of the type

### setURI

    public void setURI(java.lang.String uri)

  The URI for this definition.

  Parameters:
    `uri` - the namespace URI. If this is not set, use the default ant namespace.

### doesTypeExist

    protected boolean doesTypeExist(java.lang.String typename)

  test for a task or other ant type existing in the current project

  Parameters:
    `typename` - the name of the type
  Returns:
    true if the typename exists

### eval

    public boolean eval()
                 throws BuildException

  Is this condition true?

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the condition is true
  Throws:
    `BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD